
QGIS Application - Bug report #1330

SPIT fails to load shapefile when no fields detected

2008-09-25 02:41 PM - Mike Taves

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11390

Description

SPIT throws an error "No fields detected" when a Shapefile with no attributes is loaded. This file (see attached) was generated from

[[AutoCAD]] Map 3D 2008, and can be viewed in QGIS (v. 0.11) and ESRI software.

Attributes are not required for Shapefiles, nor for [[PostGIS]].

History

#1 - 2009-07-15 06:48 AM - Giovanni Manghi

SPIT doesn't works, but Postgis Manager works fine.

I guess we have decision to make: SPIT seems to me that is not developed any more, on the other hand Potsgis Manager is not yet a core plugin, but is

developed and has already many more features (and is more robust) than SPIT.

Ideas?

#2 - 2009-07-15 06:57 AM - Paolo Cavallini

+1 to [[PostGIS]] manager for me, but the last word should go to Martin, I guess

#3 - 2009-07-19 01:55 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

I close this one, seems to mw that, in way or another, Postgis Manager is the answer to the problem, then hopefully it will become core in the next future.

Files

poly.zip 974 Bytes 2008-09-25 Mike Taves
